# Uses of Class
it.tdlight.jni.TdApi.PublicChatType

## Uses of TdApi.PublicChatType in it.tdlight.jni

Subclasses of TdApi.PublicChatType in it.tdlight.jni
Modifier and Type
Class
Description
`static final class`
`TdApi.PublicChatTypeHasUsername`
The chat is public, because it has an active username.
`static final class`
`TdApi.PublicChatTypeIsLocationBased`
The chat is public, because it is a location-based supergroup.
Fields in it.tdlight.jni declared as TdApi.PublicChatType
Modifier and Type
Field
Description
`TdApi.PublicChatType`
TdApi.CheckCreatedPublicChatsLimit.`type`
Type of the public chats, for which to check the limit.
`TdApi.PublicChatType`
TdApi.GetCreatedPublicChats.`type`
Type of the public chats to return.
Constructors in it.tdlight.jni with parameters of type TdApi.PublicChatType
Modifier
Constructor
Description
``
`CheckCreatedPublicChatsLimit(TdApi.PublicChatType type)`
Checks whether the maximum number of owned public chats has been reached.
``
`GetCreatedPublicChats(TdApi.PublicChatType type)`
Returns a list of public chats of the specified type, owned by the user.